/*
 * generated by Xtext 2.32.0
 */
package no.ntnu.tdt4250.sm.textual.ui;

import com.google.inject.Injector;
import no.ntnu.tdt4250.sm.textual.ui.internal.TextualActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class StateMachineDSLExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(TextualActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		TextualActivator activator = TextualActivator.getInstance();
		return activator != null ? activator.getInjector(TextualActivator.NO_NTNU_TDT4250_SM_TEXTUAL_STATEMACHINEDSL) : null;
	}

}
